Package org.pushingpixels.flamingo.api.common

# Interface CommandButtonLayoutManager

All Superinterfaces:
  `EventListener`, `PropertyChangeListener`

All Known Implementing Classes:
  `CommandButtonLayoutManagerBig`, `CommandButtonLayoutManagerBigFixed`, `CommandButtonLayoutManagerBigFixedLandscape`, `CommandButtonLayoutManagerCustom`, `CommandButtonLayoutManagerMedium`, `CommandButtonLayoutManagerMenuTileLevel1`, `CommandButtonLayoutManagerMenuTileLevel2`, `CommandButtonLayoutManagerSmall`, `CommandButtonLayoutManagerTile`

public interface CommandButtonLayoutManager extends PropertyChangeListener
Definition of a layout manager for `AbstractCommandButton`s.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CommandButtonLayoutManager.CommandButtonLayoutInfo`
Layout information on different visual parts of a single command button.
`static enum`
`CommandButtonLayoutManager.CommandButtonSeparatorOrientation`
Enumerates the available values for separator orientations.
`static class`
`CommandButtonLayoutManager.TextLayoutInfo`
Layout information on a single line of text.

## Method Summary

Modifier and Type
Method
Description
`Point`
`getKeyTipAnchorCenterPoint(AbstractCommandButton commandButton)`
Returns the anchor center point of the key tip of the specified command button.
`CommandButtonLayoutManager.CommandButtonLayoutInfo`
`getLayoutInfo(AbstractCommandButton commandButton, Graphics g)`
Returns the layout information for the specified command button.
`int`
`getPreferredIconSize()`
Returns the preferred icon size of command buttons which use this layout manager.
`Dimension`
`getPreferredSize(AbstractCommandButton commandButton)`
Returns the preferred size of the specified command button.

### Methods inherited from interface java.beans.PropertyChangeListener

`propertyChange`

## Method Details

### getPreferredSize

Dimension getPreferredSize(AbstractCommandButton commandButton)
Returns the preferred size of the specified command button.

Parameters:
  `commandButton` - Command button.
Returns:
  The preferred size of the specified command button.

### getPreferredIconSize

int getPreferredIconSize()
Returns the preferred icon size of command buttons which use this layout manager.

Returns:
  The preferred icon size of command buttons which use this layout manager.

### getKeyTipAnchorCenterPoint

Point getKeyTipAnchorCenterPoint(AbstractCommandButton commandButton)
Returns the anchor center point of the key tip of the specified command button.

Parameters:
  `commandButton` - Command button.
Returns:
  The anchor center point of the key tip of the specified command button.

### getLayoutInfo

CommandButtonLayoutManager.CommandButtonLayoutInfo getLayoutInfo(AbstractCommandButton commandButton, Graphics g)
Returns the layout information for the specified command button.

Parameters:
  `commandButton` - Command button.
  `g` - Graphics context.
Returns:
  The layout information for the specified command button.